i am running on 10.5.8 and want the new i tunes 10.7 but it wont let me download this what do i need to do to be able to get this?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    Apple now delivers downloadable apps such as iTunes through the App Store. In order to access the App Store you must have OS 10.6.6 or later.

    If you have an Intel-based Mac you can install Snow Leopard.
    If you have a PowerPC processor, you can not install Snow Leopard.
    (look in the Apple Menu, "About This Mac", and see if you have an Intel processor or a PowerPC processor).

    You also need at least 1GB of memory. More is better.

    Once Snow Leopard is installed, select "Software Updates" in the "Apple" menu to update to OS 10.6.8 (the last version of Snow Leopard).

    Was this useful? Answer 1

    4 of 4 people found this useful

Related Questions